#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull mongo:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker ps -a | grep MongoDB | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


docker create -i -t --name=MongoDB \
	-p 27017:27017 \
	-v /etc/localtime:/etc/localtime:ro \
	-v /volume1/Docker/MongoDB/configdb:/data/configdb:rw \
	-v /volume1/Docker/MongoDB/db:/data/db:rw \
	--restart unless-stopped \
	mongo:latest

docker start MongoDB


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep mongo | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
